Bug 1302865 - [RFE] Provide a feature in OpenStack Director to permit dividing/deploying the control plane into discrete machines/services
[RFE] Provide a feature in OpenStack Director to permit dividing/deploying th...
Status: CLOSED DUPLICATE of bug 1337778
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
x86_64 Linux
high Severity high
: ---
: 10.0 (Newton)
Assigned To: Hugh Brock
Shai Revivo
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 15:03 EST by Freddy Wissing
Modified: 2016-09-30 04:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-30 04:37:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Freddy Wissing 2016-01-28 15:03:12 EST
Customer presently operates a deconstructed control plane with RHOSP6 under support exception (see attached).  

This RFE seeks to include this functionality in OpenStack Director.  

The control plane needs to be split into discrete systems handling individual OpenStack core and secondary services.  To ensure HA in the environment, each service would get 3 servers allocated to it.  

The customer originally deployed with Spinal Stack, which at the time was the only deployment framework available that could address the need.  Due to the EOL of spinal stack we request this to be addressed in release schedule as soon as possible.  

Their deployment was done ad hoc using the already available framework for server roles in the provisioning yaml files.  

The customer's drivers and net effects of a split control plane include:

1 - Increased security, control, communication segregation, and potentially an upcoming best practice.

2 - Federal Government GSA/Fedramp compliance initiatives.  

3 - Isolating public API traffic from Management network traffic on the control plane as much as was reasonably possible.  (In this process the 3 server control plane was then split into approximately 20 virtual machines provisioned at deployment time.)

Attachments (priv)

Arch diagram, Support exception
Comment 7 Mike Burns 2016-04-07 17:07:13 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 9 Jaromir Coufal 2016-09-30 04:37:09 EDT

*** This bug has been marked as a duplicate of bug 1337778 ***

Note You need to log in before you can comment on or make changes to this bug.